# Naming Convention

let's say our library name is **Camis_Core**

Language Feature | Format | Example | Filename
---------------- | ------ | ------- | --------
**Int**erface | [YOUR_LIBRARY_NAME]_Int_[YOUR_INTERFACE_NAME] | Camis_Core_Int_Test | int_test.dart
**Ext**ension | [YOUR_LIBRARY_NAME]_Ext_[YOUR_EXTENSION_NAME] | Camis_Core_Ext_Test | ext_test.dart
**Mix**in | [YOUR_LIBRARY_NAME]_Mix_[YOUR_MIXIN_NAME] | Camis_Core_Mix_Test | mix_test.dart
**Cla**ss | [YOUR_LIBRARY_NAME]_Cla_[YOUR_CLASS_NAME] | Camis_Core_Cla_Test | cla_test.dart
**Typ**edef | [YOUR_LIBRARY_NAME]_Typ_[YOUR_TYPE_DEFINITION_NAME] | Camis_Core_Typ_Test | typ_test.dart
**Enu**m | [YOUR_LIBRARY_NAME]_Enu_[YOUR_ENUM_NAME] | Camis_Core_Enu_Test | enu_test.dart

If a file contains multiple language feature such as interface, extension, class, etc then you can names the filename without follow table above.