typedef Camis_Core_Typ_Event_Callback = Future<void> Function();
typedef Camis_Core_Typ_Event_Executor = Future<void> Function(
    Camis_Core_Enu_Event_Type type);

enum Camis_Core_Enu_Event_Type { onServiceReady, onUpgrade }

class Camis_Core_Cla_Event {
  final Camis_Core_Typ_Event_Callback callback;
  final bool isOnce;
  final Camis_Core_Enu_Event_Type type;

  Camis_Core_Cla_Event(
      {required this.type, required this.callback, this.isOnce = false});
}
